# Accessibility::CommandListener Interface Reference

`import "Accessibility_Selector.idl";`

## Public Member Functions
void | notifyCommands (in CommandList commands)

## Detailed Description

An interface which should be implemented by assistive technologies or other clients of the Selector interface, over which notifications to the list of available commands is made. The notifyCommands() method of the client is then called by the Selector instance.

Since:
  AT-SPI 1.7.0

## Member Function Documentation

void Accessibility::CommandListener::notifyCommands | ( | in CommandList | commands | ) |

Notify the CommandListener instance of changes to the currently available commands, by sending the current CommandList.

Parameters:

  | commands | The newly-available list of Command objects which may be invoked by the listener.

The documentation for this interface was generated from the following file:

- /home/liyuan/src-git/at-spi/idl/Accessibility_Selector.idl